/* Create listening socket etc */
int setportconn(int*, int, int);
int allowconn(int, int, int*);

/* Client connect */
int getconn(char*, int*, int);          /* by host name */
int getconn_addr(unsigned long, int*, int);     /* by sa_addr */

/* Close by either side */
int closeconn(int);

/* Other functions */
int tcp_set_option( int fd, int type, int kind, int desired, char *string );
void nodelay();	/* hack routine to improve performance.. maybe */
void setnonblocking(); /* sets the given socket non-blocking */
void setblocking(); /* sets the given socket blocking again */
int setsendrecvbufs();  /* Sets send/recv buffer sizes */
int setsendbuf(); /* Sets send buffer size */
int setrecvbuf(); /* Sets recv buffer size */

