      program matmul
      external second
      real*8 second
      parameter (lda = 2000)
      parameter (iterations = 10)
      double precision a(lda,lda),b(lda,lda),c(lda,lda)

      ISTOP = 250
      do 30 j = 1,lda
         do 20 i = 1,lda
            a(i,j) = i + j
            b(i,j) = j - i
            c(i,j) = 0.0d0
   20    continue
   30 continue

      call perfometer()

      do 40 n = 1, istop
         call dgemm('n','n',n,n,n,1.0d0,a,lda,b,lda,1.0d0,c,lda)
   40 continue

      stop
      end

