      program matmul
      external second
      real*8 second
      parameter (lda = 2000)
      parameter (iterations = 10)
      double precision a(lda,lda),b(lda,lda),c(lda,lda)

c     ISTOP = 1
      do 30 j = 1,lda
         do 20 i = 1,lda
            a(i,j) = i + j
            b(i,j) = j - i
            c(i,j) = 0.0d0
   20    continue
   30 continue

      call perfometer()
      n=lda
      call matm(a,n,n,b,c,iterations)

c     do 40 n = 1, istop
c        call matm(a,n,n,b,c,iterations)
c  40 continue

      stop
      end

      subroutine matm(a,lda,n,b,c,iterations)
      double precision a(lda,lda), b(lda,lda), c(lda,lda)
      double precision s
      
      do 70 r = 1,iterations
         do 60 i = 1,n
         do 50 j = 1,n
            do 40 k = 1,n
               c(i,j) = c(i,j) + a(k,i)*b(k,j)
 40         continue
 50      continue
 60   continue
 70   continue
      return
      end

