INSTALL_BIN 	= /usr/local/bin
INSTALL_INCLUDE = /usr/local/include
INSTALL_LIB 	= /usr/local/lib
PAPI_LIB 	= ../../src/libpapi.a
PAPI_INCLUDE 	= ../../src

# To add mpi support, uncomment the second TARGETS variable
TARGETS		= serial serial_shr tests
#TARGETS		= serial serial_shr mpi mpi_shr tests
MPICC		= cc -woff 1552,1164
CC		= cc -woff 1552,1164
CC_R		= cc -woff 1552,1164
CC_SHR		= cc -shared -check_registry /usr/lib32/so_locations -woff 1552,1164
MPICC_SHR	= $(CC_SHR)
F77     	= f77
F77NODGEMMDEF	= -DNO_DGEMM
CFLAGS  	= -g -DDEBUG -DVERBOSE -DREAL_TIMER
FFLAGS		= 
BLASLIBS	= -lblas
LAPACKLIBS	= -llapack
XTRALIBS	=

all: $(TARGETS)

libperfometer64.a: conn.c perfometer.c api.c 
	$(CC) -64 $(CFLAGS) $(OPTFLAGS) $(INCPATH) conn.c perfometer.c api.c -o libperfometer64.o
	rm -f $@;
	ar ruv $@ libperfometer64.o

libperfometer64.so: conn.c perfometer.c api.c 
	$(CC_SHR) -64 $(CFLAGS) $(OPTFLAGS) $(INCPATH) conn.c perfometer.c api.c -o $@

