INSTALL_BIN 	= /usr/local/bin
INSTALL_INCLUDE = /usr/local/include
INSTALL_LIB 	= /usr/local/lib
PAPI_LIB 	= ../../src/libpapi.a
PAPI_INCLUDE 	= ../../src
MPI_INCLUDE	= /usr/local/mpich/include

# To add mpi support, uncomment the second TARGETS variable
TARGETS		= serial serial_shr tests
#TARGETS		= serial serial_shr mpi mpi_shr tests

MPICC		= mpicc
CC		= gcc 
CC_R		= gcc -pthread
CC_SHR		= gcc -shared
MPICC_SHR	= gcc -shared -I$(MPI_INCLUDE)
F77		= g77
F77NODGEMMDEF	= -DNO_DGEMM
CFLAGS  	= -g -mpentiumpro -Wall -DDEBUG -DVERBOSE -DREAL_TIMER
FFLAGS		= 
BLASLIBS	= -lblas
LAPACKLIBS	= -llapack
#BLASLIBS	= -L/usr/local/lib -lf77blas -latlas 
XTRALIBS	=

