c 1-10-95 supmain.f and io.f  hardwired inputs (dat.64x64)
c                             for runing on VMS without dat file
c
c12-20-93 new runs: Tinit=1404 and piecewise constant Tvoid:
c         Tvoid = Tvoid  for t < voidt2  (time in hrs)
c          = Tvoid2 for voidt2 < t < voidt3,  = Tvoid3 for voidt3 < t
c 7-3-93  also set T32kL from dat file (switch kL from cokL3 to cokL2
c 6-24-93     Gary's newest fits of 6-24-93
c 6-19-93 variable akS(T) = cokS(1) + cokS(2) * ( TE - T )
c        too slow: akL(T) = cokL(1) + cokL(2) * exp( cokL(3)*(T-1200) )
c        use akL=cokL3 for T>T32kL, akL=cokL2 for T<T32kL
c 6-12-93     Gary's newest fits of 3-22-93 
c             for phdiag.f, h.f (with ATAN instead of SQRT)
c 3- 3-93 FsPx.f.zip r1.20 new FsPx properties, from Ghiorso's MELTS
c                          having problems: TinSOL found T>TSij
c11- 6-92 fspx.f.AR  r1.19 for Fs-Px binary (new phase diagram)
c10-25-92 shifted: r1.18 shifted phase-diagram of Di-An down by 150 degC
c                        corrected formulae for akW(T) in newstart.f
c10-23-92 Supstep: r1.17 , super-time-stepping a la J.J.Droux
c10-20-92           corrected cohL(1) in coeffs.f
c10-13-92           lfus0 flag read from dat, for fus0 case if lfus0=0
c 9-27-92 New: r1.16   variable akW(T) = akW0+akW1*[T-Tbry] (version2)
c 9-27-92 r1.14 split-off labels.f,some arguments to common/size/,/init/
c 9-25-92 r1.13 renamed *ano,*dio to *An,*Di in all variables
c 9- 8-92 r1.12 added hypereutectic case(chosen via xinit>xE),not tested
c 7-29-92     outputing history also at desired nodes in fort.27
c 7-21-92     outputing history at desired thermocple locations(fort.7)
c 7-17-92     non-uniform Twall: straight line from Tw1 to Tbry in soil
c 7-17-92 -r1.8    totally done for cylinder, uniform Tbry,Ttop 
c 7-8-92 2am  finished! simulates open-top cylinder by imposing Tvoid
c                       but heatout is now incorrect, so is Ebalance
c 7-6-92 3am  DEBUGGED!   corrections in property functions
c            split off Tvoid from PHASE() as external function TinVOID()
c 7-4-92           some corrections, redata, restart working
c 6-30-92          switched reference to eutectic (xE,TE),runs in liquid
c 5-15-92 alloy.f  began modifications to Diopside-Anorthite for ISV

c########1#########2#########3#########4#########5#########6#########7##

C  with void  ( non-conducting )
c  BAS2D_SERIAL.f : 2-D alloy casting in a cylinder, 0-g, imposed Temp.
c____________________________________________________________ Lines 610
c REMEMBER for each mesh: set parameters here and (Ip)I1 in output.f
c_________
c 7-26-91  as modified by Peter Hoff (July 1991) for Soret/Dufour coeff.
c         dependence of freeze-time and min average velocity of freezing
c         Peter made runs on IBM3090, see ./20x30.out, ./fit*.dat 
c         the fits are in ./fit/
c 6-13-91 added max r-vel of Solidus(RS) outputing, 20x90 runs 
c         dimensioned iphase to (Ip+1,Jp) in all routines (P.Hoff)
c 1-27-91 in flux.f, changed rminS = 1 - rminL, zminS = 1 - zminL
c 1-11-91 output x,T,RS,vel in separate files Icomp,Itemp,IrS,Ivel
c         read  delta, beta  from data file via input.f
c11-18-90 added r-location of Solidus(RS) in PHASE, for velocity output
c11- 8-90  changed void to have uniform Tvoid (rhoV=0),non-conducting
c10- 4-90    added void (free) space, j=0,-1,...,-Jv+1, conducting
c 9-28-90  corrected flux.f: Clam instdof alam in rminL,S zminL,S
c 9-25-90  corrected flux.f: ()/DrW/2,()/DzW/2  to ()/DrW2,()/DzW2
c 5-31-90  added profile outputing
c 4-22-90  replaced zeroineL() with zeroeL()
c 4- 7-90  new fittings for cpL and hL in eLIQ,START,PROFLUX,PHASE
c 1-21-90  entered RESTARTing; run up to 2 hours(7200 s) all works fine 
c 1-19-90  1st successful long run ! using ZEROIN solver in PHASE()
c 1-15-90  entered simpler solveT(), eLIQ,eSOL,DeM, debugging...
c12-20-89  entered all routines, debugging... 
c 5-26-89  began building the code
c**********************************************************************
commendsMAIN goes here, but should add void quantities to it
cc======================================================================
cc sample dat file ( to run do:  a.out < dat > out )
cc
c --> new values <-- Tinit=1404, switch akL, Tvoid  ---- A = Fs , B = Px
c 12-26-93   date  (read by MAIN)
c 200.1d0, 5000, 1.0, 4, 0      / tmaxh(hrs),maxsteps,CFL, lines, istart
c 48.0, 4.d0, 240.d0, 1.d-3, 0  / dtouth(hrs),dthish,dtprfh,dtmin,Iredat
c 1.0663d0, 2.d0, 1.4d0, 1.0d0, 0.5d0 / Rin,Rout,Zin,Zw,Zv  (meters)
c 16,16, 6,6,4                        /  Ip,Jp, Iw,Jw,Jv =>
c 1404.0, .50                      / Tinit, Cinit (or xinit)  for melt
c 20.0, 20.0, 250.d0, 1404.0       / Tbry, Ttop, Tvoid, Tw1
c 2600.0, 0.0e-4, 1.0e-2, 1.0e-1, 3.4e-3, -3.8e-6 /rho,cokL123,cokS12
c 1350.0, 0.85, 3.3d-3, 6.3d-6, 1.d-3 / rhoW cpW  akW0,akW1  akV (wall)
c 1.d-9, 1.d-13,   0.0, 0.0        / DL DS (m^2/s),  delta, beta
c 450.0, 650.0                     / DhfusA, DhfusB (J/g) ( +fusion )
c 1.d-6, 1000  / TOLerance, maxITERations for iterative solvers in PHASE
c 1, 1140.     / lfus0: if 0, set DhfusE=0 / T32kL for kL=cokL3 to cokL2
c 250., 70.,  250., 110. / Tvoid2 after voidt2, Tvoid3 after voidt3(hrs)
c ---------------------------parameters for Super-time-stepping
c 4, 0.1   NsupSTEP, dampSTEP  ( to avoid it use: 1, 0.0 )
c ----------- Info for history output: at thermocouples OR at NODES:
c 6 =NOhist: if <0: history output at thermocples, if >0: at nodes
c ..........list -NOhist >0  many thermocouple #'s  to get history ouput
c  76, 77, 78, 79, 86, 87          indices a la 'locations.isv'
c ..........list NOhist >0 many nodes (i,j)
c  9,  8  node# 1 in fort.11  TE-C2400054  #76
c  8,  8  node# 2 in fort.12  TE-C2409054  #77
c  7,  8  node# 3 in fort.13  TE-C2418054  #78
c  6,  8  node# 4 in fort.14  TE-C2427054  #79
c 13, 13  node# 5 in fort.15  TE-S2400072  #86
c 13, 14  node# 6 in fort.16  TE-S2418072  #87
c ~~~~~~~~~~~~~~~~~~~~~~~~~~ end of dat file ~~~~~~~~~~~~~~~~~~~

c 639.0, 485.0                   / DhfusA, DhfusB  ( +fusion )
c for non-uniform initial Temperature: Tw1 at Ip+1 down to Tbry at Rout
c 					     Jp+1                 Zin+Zw

c########1#########2#########3#########4#########5#########6#########7##
cc initialize labeled common with 
       BLOCK DATA
                 implicit double precision (a-h,o-z)
      common/weights/ WA,WB,Wdiff, TA,TB, xE,TE,Tref,DhfusE,xinit
      common/propts1/ rho,cokL(3),cokS(2),rhoW,cpW,akW0,akW1,akV
      common/propts2/ DL,DS,delta,beta
      common/ coefs / coCpS(7), coCpL(3), cohL(6), cohhLig(6)

cc         use SI units everywhere, degrees C, except mol.wt in g/mol
      DATA  WA/277.5/, WB/216.1/, Wdiff/-61.4/,    xE/   0.0  /
      DATA  Tref/813.10/,  TA/813.10/, TB/1213.9/, TE/ 813.10 /

c read from dat_file:
c       DATA  rho/2600.d0/, cokL(1,2,3), cokS(1,2)
c       DATA  rhoW/1350.0d0/, cpW/.85d0/, akW/1.d-4/, akV/1.d-5/
c       DATA  DL/1.d-9/,DS/1.d-13/,delta/0.d0/,beta/0.d0/
c       DATA  DhfusA/639.d0/, DhfusB/485.d0/

       DATA coCpS/ 439.7d0, -3734.1d0, -317.02d6,
     &             305.41d0, -1604.9d0, -7.166d6, 921.84d6 /
       DATA coCpL/ 417.d0,  358.6d0,  0.0 /
         END
c########1#########2#########3#########4#########5#########6#########7##
      program alloy2D

      implicit double precision (a-h,o-z) 
      parameter (Iin=5, Iout=6,  Iprf=8, Iph=9 ) 
      parameter (Icomp=1, Itemp=2, IrS=3, Ivel=4 )

cc...........Nr=Ip, Nrw=Ip+Iw, Nrw1=Ip+Iw+1,
cc...........Nz=Jp, Nzw=Jp+Jw, Nzw1=Jp+Jw+1, Nwv=Jw+Jv-1

cc..   .............Ip=4...Jp=4...Iw=Jw=2...Jv=2........................
c       parameter (Nr=4, Nrw=6, Nrw1=7,  Nz=4, Nzw=6, Nzw1=7, Nwv=3 )
cc..   .............Ip=4...Jp=6...Iw=Jw=6...Jv=4........................
c       parameter (Nr=4, Nrw=10, Nrw1=11, Nz=6, Nzw=12, Nzw1=13, Nwv=9 )

cc     ...............Ip=16...Jp=16...Iw=Jw=6...Jv=4....................
c       parameter (Nr=16, Nrw=22, Nrw1=23, Nz=16,Nzw=22,Nzw1=23, Nwv=9 )

cc     ...............Ip=16...Jp=16...Iw=Jw=8...Jv=4....................
c       parameter (Nr=16, Nrw=24, Nrw1=25, Nz=16,Nzw=24,Nzw1=25,Nwv=11)
cc     ...............Ip=16...Jp=32...Iw=Jw=8...Jv=4....................
c       parameter (Nr=16, Nrw=24, Nrw1=25, Nz=32,Nzw=40,Nzw1=41,Nwv=11)
cc     ...............Ip=32...Jp=32...Iw=Jw=6...Jv=4....................
c       parameter (Nr=32, Nrw=38, Nrw1=39, Nz=32,Nzw=38,Nzw1=39,Nwv=9 )
cc     ................Ip=64...Jp=64...Iw=Jw=6...Jv=4...................
       parameter (Nr=64, Nrw=70, Nrw1=71, Nz=64,Nzw=70,Nzw1=71,Nwv=9 )
        character*8     date
c        character*24   fdate
c tighter
      DIMENSION  r(Nrw),r2(Nrw1),z(-Nwv:Nzw),z2(-Nwv:Nzw1)
      DIMENSION Ar(Nrw1,-Nwv:Nzw), Az(Nrw,-Nwv:Nzw1), V(Nrw,-Nwv:Nzw)
      DIMENSION C(Nr,Nz), x(Nr,Nz), iphase(Nr+1,Nz) 
      DIMENSION                         RS(Nz), RSold(Nz)
      DIMENSION CL(Nr,Nz),CS(Nr,Nz),alam(Nr,Nz),alamold(Nr,Nz)
      DIMENSION Reff(Nr,Nz), h(Nr,Nz), cp(Nr,Nz)
      DIMENSION e(Nrw,-Nwv:Nzw), T(Nrw1,-Nwv:Nzw1)
      DIMENSION ArJ(Nrw1,-Nwv:Nzw),AzJ(Nrw,-Nwv:Nzw1)
      DIMENSION ArQ(Nrw1,-Nwv:Nzw),AzQ(Nrw,-Nwv:Nzw1)
c      DIMENSION vel(Nz), velAVE(Nz)
c      DIMENSION vt(Nz),Tavst(Nz),Tstp(Nz),n(Nz),nm(Nz) 
c for up to  16  history output points (thermocouple locations):
        integer idr(87), idz(87), Ihist(16), Jhist(16), NOtherm(16) 

      common/ size  / Rin, Rout, Zin, Zw, Zv
      common/ init  / Tinit, Tbry, Ttop, Tvoid, Tw1
      common/weights/ WA,WB,Wdiff,TA,TB,xE,TE,Tref,DhfusE,xinit
      common/propts1/ rho,cokL(3),cokS(2),rhoW,cpW,akW0,akW1,akV
      common/propts2/ DL,DS,delta,beta
      common/ coefs / coCpS(7), coCpL(3), cohL(6), cohhLig(6)
      common/constant/ DhfusA, DhfusB, h0SA, h0SB, eS0TE, eS1TE
      common/switch / T32kL 

cc...........................record execution date stamp from unix date:
c       write(Iout, *) fdate()
c       write(Icomp,*) fdate()
c       write(Itemp,*) fdate()
c in LABELs()       write(Ihis, *) fdate()
c       write(Iprf, *) fdate()
c       write(Iph,  *) fdate()
cc**********************************************************************
                 time    = 0.d0
	         nsteps  = 0
                 maxNeMev= 0
                 velMAX  = 0.0
*       read(5,*)
*       read(5,2) date
*  2                  format(a8)
#if defined(PROFOMETER)
      call profometer
#elif defined(PERFOMETER)
      call perfometer
#endif
      call INPUT( tmax,maxsteps,dtout,dtouthis,dtoutprf,dtmin,
     &                  CFL,lines, Ip,Iw,Jp,Jw,Jv,
     &                  istart,Iredat,  DhfusA,DhfusB, TOL,maxITER)

cc        ......for history output at (Irhis,1),(Irhis,Jzhis) in unit_7
                                       Irhis = Ip / 2
                                       Jzhis = Jp / 2
cc--------------find constants h0SA,h0SB,eS0TE,DhfusE --------------- 
cc        and coefficients for hL, hhLintg,    to be passed via common/
      call COEFFs
*hardwired     read(5,*) lfus0, T32kL
                    lfus0 = 0
                    T32kL = 1000.0
case fus0: if lfus0 = 0 set DhfusE = 0 (and DhfusA,DhfusB=0):
              if( lfus0 .EQ. 0 )  DhfusE = 0.0
          write(6,*)'main: lfus0, DhfusE :', lfus0, DhfusE
          write(6,*)'main: switch kL from cokL3 to cokL2 @T32kL=',T32kL
c---12-20-93----- values to switch Tvoid to Tvoid2,3 at times voidt2,3:
*hardwired      read(5,*) Tvoid2, voidt2, Tvoid3, voidt3
                     Tvoid2 = 150.
                     voidt2 =  70.
                     Tvoid3 = 100.
                     voidt3 = 110.
          write(6,*)'main: switch Tvoid to Tvoid2,3 :',Tvoid2,Tvoid3
          write(6,*)'             at times voidt2,3 :',voidt2,voidt3
          write(6,*)
cc------------- read parameters for Super-time-stepping ----------------
*               read(5,*)
*hardwired                read(5,*) NsupSTEP, dampSTEP
                NsupSTEP = 2
                dampSTEP = 0.01
      call MESH( Ip,Iw,Jp,Jw,Jv,
     &                  Dr,DrW,Dz,DzW,DzV, r,r2,z,z2, Ar,Az,V, sratioW,
     &                             ArIp,AzJv, drokIp,dzokJv, zkV0,zz21 )
                tout    = MAX(dtout,dtmin)
                touthis = dtouthis
                toutprf = dtoutprf
                dtstart = CFL * sratioW
                     dt = MIN( dtstart, dtout )

cc-------- Info for history output: at thermocouples OR at NODES: 
*     read(5,*)
*hardwired      read(5,*)   NOhist
                  NOhist  = 6
              if( NOhist )  5, 9, 10
case: NOhist < 0:.....history at -NOhist many thermocouples: 
cc ..      ..........read which thermocouple index for history output:
  5        read(5,*)
*hardwired,useless           read(5,*) ( NOtherm(no), no=1, -NOhist )
           NOtherm(1) = 76
           NOtherm(2) = 76
           NOtherm(3) = 76
           NOtherm(4) = 76
           NOtherm(5) = 76
           NOtherm(6) = 76
cc...      ...find (idr(no),idr(no))=index of vol.containing thermcple:
      call INDEX2D( Rin, Zv,Zw, r2,z2, Ip,Jp,Iw,Jw,Jv,   idr,idz )
                  DO  6  no = 1, -NOhist
                             Ihist(no) = idr( NOtherm(no) )
                             Jhist(no) = idz( NOtherm(no) ) 
   6              CONTINUE 
      goto 19
case: NOhist = 0:
  9         write(6,*)' !!!! neither thermos nor nodes for history ?'
            goto 19
case: NOhist > 0:.............read which node (i,j) for history output:
 10     continue
*       read(5,*)
*       read(5,*)
  15    continue
*       read(5,*)
*hardwired        DO  16  no = 1, NOhist
*hardwired                              read(5,*) Ihist(no), Jhist(no)
*hardwired                              NOtherm(no) = no
*hardwired   16   CONTINUE
             Ihist(1) = 35
              Jhist(1) = 31
             Ihist(2) = 31
              Jhist(2) = 31
             Ihist(3) = 27
              Jhist(3) = 31
             Ihist(4) = 23
              Jhist(4) = 31
             Ihist(5) = 51
              Jhist(5) = 51
             Ihist(6) = 51
              Jhist(6) = 55

cc........................ end of reading from dat file................

  19    if (istart .eq. 1) goto 20
cc.....................................else start fresh:

      call START( akWmax, V, Ip,Iw,Jp,Jw,Jv, Rin,Rout,
     &              C,CL,CS,x,e,T,alam,iphase, RS,RSold, Etotal,Ctotal )
 
                 Eold = Etotal
                 Cold = Ctotal
cc               ..............totalMass of solute should be conserved:
                 totMass = Ctotal
                 Enew = Etotal
                 Cnew = Ctotal
       goto 50
cc************ Restart: read all values from dropfile RESTART **********
20    continue
      call RESTART( time,nsteps,tout,dtperm,
     &                        Dr,DrW,Dz,DzW,DzV, sratioW,velMAX,
     &      drokIp,dzokJv,zkV0,zz21,ArIp,AzJv,r,r2,z,z2,Ar,Az,V,
     &      totMass, C,CL,CS,x,alam,iphase,T,e,Eold,Cold,Ip,Iw,Jp,Jw,Jv)
                 dt   = dtperm
		 if( tout .LT. time) tout = tout + dtout
cc.............check this: after restart Etotal=Eold & Ctotal=Cold......
                 Etotal = Eold
                 Ctotal = Cold
                   Enew = Eold
                   Cnew = Cold
cc***************************** first output ***************************
50    continue
c      open(Iout,file='out',status='new')
      write(Iout,*)
      write(Iout,*)' OUTPUT from FsPx.f.AR for Fs-Px  of ',date
      write(Iout,*)' ____________________input data (SI units):'
      write(Iout,51) tmax/3600., dtout/3600., maxsteps
  51         format('tmax(h), dtout(h), maxsteps  :', f8.2, f7.2, I10 )
      write(Iout,53) Rin, Rout, Zin, Zw, Zv
  53         format('Rin, Rout, Zin, Zw, Zv :', 5f6.2,' meters' )
      write(Iout,54) Ip, Jp, Iw, Jw, Jv
  54         format('Ip, Jp, Iw, Jw, Jv     :', 5I5,' #mesh-intervals')
      write(Iout,55) xinit, Tinit, Tbry, Ttop, Tvoid, Tw1
  55         format('xinit,Tinit,Tbry,Ttop,Tvoid,Tw1:',f4.2, 5f7.0 )
      write(Iout,56) rho, cokL(1),cokL(2),cokL(3), cokS(1),cokS(2)
  56         format('rho, cokL(1,2,3), cokS(1,2)  :',f7.1, 5(1Pe10.2) )
      write(Iout,57) rhoW, cpW,  akW0,akW1, akV
  57         format('rhoW,cpW, akW0,akW1,akV:',f7.1,f7.3,1x,2(1Pe10.2))
      write(Iout,58) DL, DS,  delta, beta
  58         format('DL, DS,  delta, beta   :',2(1Pe9.1), 2x, 2f8.1 )
      write(Iout,59) DhfusA, DhfusB
  59         format('DhfusA, DhfusB     :',2f8.1,' heats of fusion')
      write(Iout,61) Etotal,totMass
  61         format('---Etotal, totalMass:',1Pe12.3, 1x, f10.3 )
      write(Iout,62) dtstart, dt
  62         format('calculated dt_start :',f10.2,',  used dt =',f10.2)
      write(Iout,63) NsupSTEP, dampSTEP
  63         format('SUPERstepping with NsupSTEP=',I3,' damping=',f5.2 )

cc................write labels in fort.1,2,8,9, 7 or 17 or 27 :
      call LABELS( date, Icomp,Itemp,Iprf,Iph,Irhis,Jzhis, NOhist,
     &                   Ihist,Jhist,NOtherm, idr,idz,r,z,
     &                   xinit,  DhfusA, DhfusB,   Ip,Iw,Jp,Jw,Jv,
     &                   NsupSTEP,dampSTEP  ) 

c12-22-93 output switches to Ihis: T32kL, Tvoid2,voidt2, Tvoid3,voidt3
c         from here for ease, it should be done thru LABELS
          write(27,66) Tvoid2, voidt2, Tvoid3, voidt3,  T32kL
  66  format('# Tvoid2,voidt2, Tvoid3,voidt3, T32kL:', 4f5.0, f8.0 )

      call OUTPUT( time/3600,nsteps,
     &             Ip,Iw,Jp,Jw,Jv,  C,x,T,e,alam,iphase, lines )

c> temporary, initial values in  fort.27 history:
         write(27,644)time/3600, (T(Ihist(no),Jhist(no)), no=1,NOhist)

cc########################> BEGIN TIME-STEPPING <#######################
cd>>       rsdlMAX = 0.d0
           iphase1 = 0
                PI = 4.0 * ATAN( 1.0 )
         nsupsteps = 0

100   continue

cc.................... count # of SuperSTEPS ....................
           nsupsteps = nsupsteps + 1
cc--------------------evaluate properties needed in FLUX()--------------
      call PROFLUX( CL,CS,alam,T, sratioW, Ip,Iw,Jp,Jw,Jv,Dr,Dz, 
     &                                   akWmax,   Reff, h, cp, sratio )

c>>for conducting void, reduce the time-step :
c  Drmin = min( Dr,DrW )        c     ratioV=1/(Drmin*Drmin)+1/(DzV*DzV)
c  sratioV=rhoV*cpV/(2*ratioV*akV)  c      sratio = MIN(sratio,sratioV )

                 dt = CFL * sratio
                 dt = MIN( dt, dtout )
                      dtperm = dt
                 if( dt .LE. dtmin )       goto 950
                 if( time + dt .GT. tmax ) goto 990
                 if( time + dt .GT. tout ) then
                                               dt = tout - time
                                               time = tout
                                               goto 250
                 endif
cc--------------------- Super-time-stepping ----------------------------
cc          strict updating (no output) for NsupSTEP time-steps:
             dtEXPL = dt
             Nsuper = NsupSTEP
cd           Nsuper = INT( SQRT( dtout / dtEXPL ) ) + 1  

cc........compute the duration of the SuperStep for this Nsuper.........
210             dtsuper = 0.0
         DO 220 iNsup = 1, Nsuper
                  supi = ( 2. * iNsup - 1. ) / Nsuper / 2
                 super = 1. + COS( supi*PI) + dampSTEP / (Nsuper*Nsuper)
               dtsuper = dtsuper + dtEXPL / super
220      CONTINUE 
            timenew = time + dtsuper
cc       ............................check if it goes beyond tout:
         if( timenew .GT. tout ) then
cc           .........................reduce Nsuper and try again:
             Nsuper = Nsuper - 1
             goto 210
         endif

cc------------------ execute Super-time-stepping -----------------------
        iNsup = 0
240     iNsup = iNsup + 1
                supi = ( 2. * iNsup - 1. ) / Nsuper / 2
                super = 1. + COS( supi*PI) + dampSTEP / (Nsuper*Nsuper)
           dt = dtEXPL / super

cc     --------------------------- update ------------------------------
250    nsteps = nsteps + 1
                      if( nsteps .gt. maxsteps ) then
                                                 nsteps = nsteps - 1
                                                 goto 990
                      endif 

*         print*,' nsteps=',nsteps
*         print*,'   akWmax,sratio:',akWmax,sratio

      call PROFLUX( CL,CS,alam,T, sratioW, Ip,Iw,Jp,Jw,Jv,Dr,Dz, 
     &                                   akWmax,   Reff, h, cp, sratio )
              
      call FLUX( C,CL,CS,T,alam,h,Reff,Ar,Az,r,r2,z,z2,Tbry,TE,
     &           Ip,Iw,Jp,Jw,Jv, Dr,DrW,Dz,DzW,DzV, drokIp,dzokJv,
     &                                      ArJ,AzJ, ArQ,AzQ,  QAout )

      call PDE( ArJ,AzJ,ArQ,AzQ, V, rho,rhoW, dt, Ip,Iw, Jp,Jw,Jv, 
     &                                            C,e, Etotal,Ctotal ) 

      call PHASE( C,e,Tinit, Ip,Iw,Jp,Jw,Jv, Dr,  TOL,maxITER,maxNeMev,
     &     nsteps,Tbry,Tvoid,  Ar,Az,ArIp,AzJv,drokIp,dzokJv,zkV0,zz21,
     &            akWmax,        x,T,alam,alamold,CL,CS,iphase,RS,RSold)
                Eold = Enew
                Cold = Cnew
                Enew = Etotal
                Cnew = Ctotal
       if( time  .EQ. tout )   goto 300
       if( iNsup .LT. Nsuper ) goto 240

cc----------------------- end of Super-time-stepping -------------------

          time = timenew
       timehrs = time/3600
                     if( time .GT. tout ) then
                       write(6,*)'MAIN: superstep went over tout '
	               write(6,*)'      at nstep =', nsteps ,' @@@@@@@'
                     endif
       goto 600

300                timehrs = time / 3600 
cd                 touthis = touthis + dt
cd                 toutprf = toutprf + dt
cd                write(Iout,*)'||||||| dt =',dt

c12-20-93: reduce Tvoid (initial) to Tvoid2,3 at times voidt2,3:
          if( timehrs .GT. voidt2 ) Tvoid = Tvoid2
          if( timehrs .GT. voidt3 ) Tvoid = Tvoid3

cp Find rate of change for liquid fractions and freezing times and speed
c      call FRZSPEED( alam,alamold,iphase,RS,RSold,vel, iphase1 
c     &             ,vt,velAVE,Tavst,Tstp,n,nm,vmax0,vmax1,vmax2,velMAX
c     &             ,time,dt,nsteps, Jzhis,  Ip,Iw, Jp,Jw,Jv )
c......since FRZSPEED is skipped, define iphase1 here, else comment out:
cc.....before freezing start with iphase1 = 0, after freezing iphase1<0
           if( iphase1 .EQ. -2 ) goto 500
                DO 350 j = 1, Jp
                        iphase1 = MAX( iphase(1,j), iphase1 )
 350            CONTINUE
cc------------------------------ Has everything FROZEN YET ?
        if ( iphase1 .EQ. 0 ) then
cc...           ..................... output and possibly exit :
                write(Iout,377) timehrs, nsteps
  377       format('###>>> Freeze-time = ',f12.2,'(h)  |  nsteps =',I6 )
c           write(Iout,*) '     max # of eM evaluations in a timestep ='
c     &                 ,maxNeMev
c                write(Iout,*)'delta=',delta,' beta=',beta
            iphase1 = -1
                goto 510
        endif

c*************************  time to OUTPUT ? ***************************
500   if ( time .NE. tout ) goto 600


510        write(Iout,*)
      call OUTPUT( timehrs,nsteps,
     &             Ip,Iw,Jp,Jw,Jv,  C,x,T,e,alam,iphase, lines )

           write(6,*)'--> # of SuperSteps executed: ', nsupsteps

cc----------- check balance of energy & mass over last time-step--------
c                 Eout    = Eold - Enew
c                 heatout =  dt * QAout
c                 Ebal    = heatout - Eout
c          write(Iout,*)'Eold - Enew = ',Eout,'   Heat out = ',heatout
c          write(Iout,*)'Eold=',Eold/3600,' Enew=',Enew/3600,'  (kWh)'
c          write(Iout,*)'Cold=',Cold,'  Cnew=',Cnew
c          write(Iout,*) ' totalMass - Cnew =',totMass - Cnew
          write(Iout,*) ' Mass inBalance =',Cnew - Cold
c          write(Iout,555) Ebal, Cnew-Cold 
c 555       format('Energy balance :',d11.3,'  |  Mass balance :',d11.3)
c          write(Iout,*) '     max # of eM evaluations in a timestep ='
c     &                 ,maxNeMev
c                   write(Iout,*)' latest time-step dt =',dtperm
cc...    .............output radial velocities of Solidus...............
c          DO 570 j= 1, Jp, lines
c                 write(Iout,*)'jz=',j,' vel=',vel(j)
c570       CONTINUE
cc---------------------find ave velocities,smallest
c      vAVmn=10.0
c      do 572 j=1,Jp
c             de=nsteps-n(j)-nm(j)
c             velAVE(j)=vt(j)/de
c             if (velAVE(j).LT.vAVmn) then
c                vAVmn=velAVE(j)
c                jAVmn=j
c             end if
c572   continue
c                 vel1   =  vel(1)
c                 velJp2 =  vel(Jzhis)
c                 velJp  =  vel(Jp)
c            write(Iout,*)' r-velocity of Solidus at j=1, Jp/2, Jp:'
c            write(Iout,577) vel1, velJp2, velJp
c  577       format('----------->',d15.6,2x,d13.6,2x,d13.6 )
c      write(Iout,*)'velMAX @ t=',timehrs,' is ',velMAXz,' @ jz=',jVELmax
c      write(Iout,*)'velMAX/allt =',velMAX,' @ t=',tVELmax,' jz=',
c     &              jVELmax2
cc..        comput ave velocities..find smallest
c      velAVE1=(Rin-RS(Jzhis))/(time-Tavst1)
c      velAVE2=(Rin-RS(Jp))/(time-Tavst2)
c      write(Iout,*)'j=     0:vmax=',vmax0,' at t=',tvmax0
c      write(Iout,*)'j=',Jzhis,':vmax=',vmax1,' at t=',tvmax1
c      write(Iout,*)'j=',Jp,':vmax=',vmax2,' at t=',tvmax2
c      write(Iout,*)'MIN AVE VEL at j=',jAVmn,' velave=',vAVmn

                 tout = tout + dtout

cc----------------------- H I S T O R Y   output -----------------------
       if( iphase1 .EQ.   -1    ) goto 610
600    if(  time   .LT. touthis ) goto 700
610                     touthis = touthis + dtouthis 
       if( NOhist ) 620, 630, 640

case NOhist <0:....time - T at idr(no),idz(no), from INDEX2D() in fort.7
 620       Ihis = 7
c        write(Ihis,622)timehrs, (T(idr(no),idz(no)), no=1, -NOhist)
        write(Ihis,622)timehrs, (T(Ihist(no),Jhist(no)), no=1, -NOhist) 
 622          format(f7.2,2x, 6f10.3)
         goto 670
case NOhist =0:...time - x,T at bottom,middle,top ....................
 630       Ihis = 17 
         write(Ihis,633)timehrs,x(Irhis,1), x(Irhis,Jzhis), x(Irhis,Jp),
     &                         T(Irhis,1), T(Irhis,Jzhis), T(Irhis,Jp)
  633          format(f7.2, 2x, 3f10.6, 2x, 3f10.3)
         goto 670
case NOhist >0:...time - T at (Ihist(node),Jhist(node)),dat, in fort.27:
 640       Ihis = 27 
         write(Ihis,644)timehrs, (T(Ihist(no),Jhist(no)), no=1,NOhist)
  644          format(f6.2, 2x, 16f8.2) 
 670     continue
cc...      .........Solidus -time- velocity at bottom,middle,top........
c                 vel1   = ( RSold(1) - RS(1) ) / dt
c                 velJp2 = ( RSold(Jzhis) - RS(Jzhis) ) / dt
c                 velJp  = ( RSold(Jp) - RS(Jp) ) / dt
c          write(2,677) RS(1),RS(Jzhis),RS(Jp),timehrs,vel1,velJp2,velJp
c 677      format(3f9.6, f9.3, 3d12.5)
cd         write(16,*) time/3600., h(1,8)

cc------------------------ P R O F I L E  outputs ----------------------
       if( iphase1 .EQ. -1 ) then
           iphase1 = -2
           goto 710
       endif
700    if( time .LT. toutprf ) goto 900
710                  toutprf = toutprf + dtoutprf
cc...  ....find average compositions at heights j = 1, Jp/2, Jp
c                  sumV1   = 0.d0
c                  sumxV1  = 0.d0
c                  sumxVJp2= 0.d0
c                  sumxVJp = 0.d0
c           DO 720 i= 1, Ip
c                  sumV1   = sumV1   + V(i,1)
c                  sumxV1  = sumxV1  + x(i,1) * V(i,1)
c                  sumxVJp2= sumxVJp2+ x(i,Jzhis) * V(i,Jzhis)
c                  sumxVJp = sumxVJp + x(i,Jp) * V(i,Jp)
c 720       CONTINUE
c                  AVEx1   = sumxV1  / sumV1
c                  AVExJp2 = sumxVJp2/ sumV1
c                  AVExJp  = sumxVJp / sumV1
cc...    ..................in Iout.............
c                    write( Iout , 722) timehrs,nsteps
c                    write( Iout , 733) AVEx1, AVExJp2, AVExJp
  722    format('@@@@@@ time(h) = ',f7.2,' | nsteps = ',I6)
  733    format(2x,'AVEx1= ',f10.6,' AVExJp2= ',f10.6,' AVExJp= ',f10.6)
cc...    ....compositions in Icomp, and temperatures in Itemp
cc       ....                       for surface and contour plots.......
c             write( Icomp ,751) timehrs, nsteps 
c             write( Itemp ,752) timehrs, nsteps
c          DO 750 j= 1, Jp, 2
c                    write(Icomp,753) ( x(i,j), i=1,Ip )
c                    write(Itemp,754) ( T(i,j), i=1,Ip )
c                 DO 755 i= 1, Ip
c                                write( Icomp ,756 ) r(i), z(j), x(i,j)
c                                write( Itemp ,757 ) r(i), z(j), T(i,j)
c  755            CONTINUE
c750       CONTINUE
c 751   format('@@ time(h) = ',f7.2,' | nsteps = ',I6 )
c 752   format('@@ time(h) = ',f7.2,' | nsteps = ',I6 )
c 753                format( 7f10.6 )
c 754                format( 7f10.3 )
c 756                           format( 2f12.6, 2x, f10.6 )
c 757                           format( 2f12.6, 2x, f10.3 )
cc...    ....solidus radial location and velocity in IrS, Ivel for plots
c           DO 760 j= 1, Jp
c                  vel(j) = ( RSold(j) - RS(j) ) / dt
c 760       CONTINUE
c                    write( IrS, 771) timehrs, nsteps
c                    write( Ivel,772) timehrs, nsteps
c           DO 770  j = 1, Jp, 2
c                    write( IrS , 773 ) RS(j), z(j)
c                    write( Ivel, 774 ) vel(j), z(j)
 770       CONTINUE
c                    write( IrS , 773 ) RS(Jp), z(Jp)
c  771  format('@@ time(h) = ',f7.2,' | nsteps = ',I6,' : RS(j), z(j)'
c     &             ,5x, 'every 4')
c  772  format('@@ time(h) = ',f7.2,' | nsteps = ',I6,' : vel(j), z(j)')
c  773                           format( f12.6, 2x, f12.6 )
c  774                           format( d12.5, 2x, f12.6 )
cc...    ..................in Iprf.............
                   write(Iprf,791) timehrs,nsteps
          DO 790 i= 1, Ip
                   write(Iprf,798) r(i),x(i,1),x(i,Jzhis),x(i,Jp),
     &                                   T(i,1),T(i,Jzhis),T(i,Jp)
 790       CONTINUE
  791  format('@@ time(h) = ',f7.2,' | nsteps = ',I6 )
  798  format( f8.4, 2x, 3f10.6, 3f10.3 )

cc-------------------------------------to exit upon complete freezing:
c       if( iphase1 .EQ. -2 ) goto 980

CC######################> END OF TIME-STEPPING <########################

900      goto 100

cc**************************** exiting *********************************
950    write(Iout,*)
       write(Iout,952) dt
 952   format('<!><!><!><!><!> WARNING: dt=',e10.1,' < dtmin , so :')
       goto 990
cc............
980    write(Iout,*)'>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>> ALL SOLID, so'
990    continue
c       do 991 j=1,Jp
c               write(Iout,*)'j=',j,' Tavst=',Tavst(j)
c991    continue
c       do 992 j=1,Jp
c               Tstop=Time-Tstp(j)
c               write(Iout,*)'j=',j,' Tstop=',Tstop
c992    continue
       write(Iout,*)
       write(Iout,*)'<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< EXITING !'
           hours = time/3600
           days  = hours/24
       write(Iout,993) time, hours, days
 993  format(' at  time=',e14.6,' sec  =',f8.2,' hours =',f8.2,' days')
       write(Iout,*)'                    >?=  tmax =',tmax/3600,' h'
       write(Iout,*)'with : nsteps=',nsteps,'  >?=  maxsteps=',maxsteps
       write(Iout,*)'       latest dt =', dtperm,' sec'

cc----------------save all values in dropfile 'REdat' for restarting----
cc-------unless Iredat = 0
            if( Iredat .EQ. 0 ) goto 999
       call REDATA( time,nsteps,tout,dtperm,
     &                 Dr,DrW,Dz,DzW,DzV, sratioW,velMAX,
     &      drokIp,dzokJv,zkV0,zz21,ArIp,AzJv,r,r2,z,z2,Ar,Az,V,
     &      totMass, C,CL,CS,x,alam,iphase,T,e,Enew,Cnew,Ip,Iw,Jp,Jw,Jv)
cc--------------------- all finished, BYE ! ----------------------------
999          stop
             END 
